/*
 * ioMapping.h
 * Pinbelegung des gesamten Projekts
 */ 


#ifndef IOMAPPING_H
#define IOMAPPING_H

// Servo
#define SERVO_PWR_DDR  DDRB
#define SERVO_PWR_PORT PORTB
#define SERVO_PWR_PIN  PINB
#define SERVO_PWR      PB0
#define SERVO_SIG_DDR  DDRB
#define SERVO_SIG_PORT PORTB
#define SERVO_SIG_PIN  PINB
#define SERVO_SIG      PB1 // OC1A


// Drehgeber und Taster
#define ENC_A_PORT PORTC
#define ENC_A_PIN  PINC
#define ENC_A_DDR  DDRC
#define ENC_A_P PC4

#define ENC_B_PORT PORTC
#define ENC_B_PIN  PINC
#define ENC_B_DDR  DDRC
#define ENC_B_P PC5

#define TAST_PORT PORTC
#define TAST_PIN PINC
#define TAST_DDR DDRC
#define TAST_P PC3



#endif 


